package com.fs.qw.service;

import com.fs.qw.domain.QwExternalContactInfo;

import java.util.List;

/**
 * 外部联系人信息表Service接口
 *
 * @author fs
 * @date 2024-11-22
 */
public interface IQwExternalContactInfoService
{
    /**
     * 查询外部联系人信息表
     *
     * @param id 外部联系人信息表主键
     * @return 外部联系人信息表
     */
    public QwExternalContactInfo selectQwExternalContactInfoById(Long id);

    /**
     * 查询外部联系人信息表列表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 外部联系人信息表集合
     */
    public List<QwExternalContactInfo> selectQwExternalContactInfoList(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 新增外部联系人信息表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 结果
     */
    public int insertQwExternalContactInfo(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 修改外部联系人信息表
     *
     * @param qwExternalContactInfo 外部联系人信息表
     * @return 结果
     */
    public int updateQwExternalContactInfo(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 批量删除外部联系人信息表
     *
     * @param ids 需要删除的外部联系人信息表主键集合
     * @return 结果
     */
    public int deleteQwExternalContactInfoByIds(Long[] ids);

    /**
     * 删除外部联系人信息表信息
     *
     * @param id 外部联系人信息表主键
     * @return 结果
     */
    public int deleteQwExternalContactInfoById(Long id);

    QwExternalContactInfo selectQwExternalContactInfoByExternalContactId(Long id);

    /**
     * 批量查询外部联系人信息表列表
     * @param ids 外部联系人id集合
     * */
    List<QwExternalContactInfo> selectQwExternalContactInfoListByExternalContactIds(List<Long> ids);

    int updateQwExternalContactInfoByIds(Long[] ids);

    void updateQwExternalContactInfoBytalk(String talkType, Long externalId);

    int updateQwExternalContactInfoByQwUserId(Long id);

    void updateQwExternalContactInfoByExternalContactId(QwExternalContactInfo qwExternalContactInfo);

    /**
     * 生成初诊单
     * @param exId 外部联系人id
     * @param companyUserId 销售id
     * @param userId 用户id
     * @return 是否生成初诊单
     */
    Boolean generateDiagnosis(Long exId,Long companyUserId,Long userId);
}
